org.eclipse.mat.hprof

## Class GZIPInputStream2

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - org.eclipse.mat.hprof.GZIPInputStream2

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class GZIPInputStream2
    extends FilterInputStream

A stream for reading Gzip compressed files. Uses a modified `InflaterInputStream` to allow the state of the stream to be duplicated, aiding code for random access to Gzip files.

### Constructor Summary

Constructors
Constructor and Description
`GZIPInputStream2(GZIPInputStream2 gs)`
`GZIPInputStream2(InputStream is)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`int` `read()`
`int` `read(byte[] buf, int off, int len)`
`long` `skip2(long n)`

### Methods inherited from class java.io.FilterInputStream

`available, mark, markSupported, read, reset, skip`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GZIPInputStream2

    public GZIPInputStream2(GZIPInputStream2 gs)
                     throws IOException

Throws:
  `IOException`

#### GZIPInputStream2

    public GZIPInputStream2(InputStream is)
                     throws IOException

Throws:
  `IOException`

### Method Detail

#### read

    public int read()
             throws IOException

Overrides:
  `read` in class `FilterInputStream`
Throws:
  `IOException`

#### read

    public int read(byte[] buf,
                    int off,
                    int len)
             throws IOException

Overrides:
  `read` in class `FilterInputStream`
Throws:
  `IOException`

#### skip2

    public long skip2(long n)
               throws IOException

Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Overrides:
  `close` in class `FilterInputStream`
Throws:
  `IOException`